file   TFUPDATE.MAN   for     TFUPDATE UTILITY

Version 90.110  November 05, 1990



The name '4000ST' as used in this document and in the associated Utility
program is a general term for any Trimble Receiver that can have its
firmware updated by means described in this document.


WHAT THE TFUPDATE UTILITY DOES

The Trimble 4000ST Firmware Update Utility is used to put a new Firmware
Version in Trimble 4000STs.  Connect your computer and 4000ST via the RS232
cable just as if you were going to download.  The firmware update is done
via the RS232 connection, using software and firmware update files on the
TFUPDATE distribution disk.

Once the Update Utility program gains control of the 4000ST, the words
'REMOTE MONITOR ACTIVE' appear on the 4000ST display screen.  The normal
power-on display sequence returns to the 4000ST display screen after the
update process when you follow instructions from the Utility for
restarting the 4000ST.


OVERVIEW OF IMPORTANT ITEMS IN THIS MANUAL

For the user who would like to proceed immediately with the update
process, the section below entitled 'A FIRST LOOK AT TFUPDATE' is the
place to start.

For users who would like to use a simulated version of the update
process, see the section entitled 'DEMONSTRATION MODE'.   This is a
'test drive' version of the update process, and it works without the
4000ST - it just pretends the 4000ST is connected, and shows you what
the entire process looks like.

If you like the display screen to be in color, do not use the FLASHME or
FLSHSLOW files mentioned in 'A FIRST LOOK AT TFUPDATE'.  Instead, see
the call parameter description in the section entitled 'CALL
PARAMETERS'.

If you have a computer with only floppy drives, see the section entitled
'USING TFUPDATE ON VARIOUS COMPUTER CONFIGURATIONS'.

If your computer does not have the TRIMVEC Software Suite installed, and
you are using Serial Port 2 (COM2) with your 4000ST, see the section
entitled 'TRIMVEC SOFTWARE SUITE IS RECOMMENDED ...' for instructions
on getting the Serial Port driver, SPDRIVE correctly installed on
Serial Port 2.

If it is necessary to call for help, please be sure you have read all
pertinent sections of this manual first.


A FIRST LOOK AT TFUPDATE

Before calling the TFUPDATE program, set your 4000ST SERIAL PORT
PARAMETERS to a FORMAT of 8-ODD--1.  Later in this manual, you will
learn that TFUPDATE has the ability to override the baud rate set in the
4000ST.  However, if you want, you may set the BAUD RATE to 38400,
19200, 9600, 4800, 2400, or 1200.  Note that the higher the baud rate,
the faster the firmware update process will be.  If your computer is
fairly new, 38400 is recommended.

TFUPDATE features a main menu with operations in suggested order.  It
also has numerous help displays, available via the F1 key.  You may be
able to use TFUPDATE without reading further.  If you want to try this,
create a new directory on your hard drive, using a name of your choice
and change to that directory.  As an alternative, choose an already
existing directory.  Copy all the files from the release disk to your
directory with 'copy a:*.*'.  Always operate the utility from this
directory.  Even if your chosen directory happens to be in your
computer's PATH statement, you must still operate the utility from the
directory it was installed in.

Then type FLASHME if you want to use TFUPDATE at 38400 baud rate, or
type FLSHSLOW to use TFUPDATE at 9600 baud.  Then use the F1 key for
help if needed.

At the conclusion of your 4000ST firmware update, when you restart your
4000ST, the following message appears on the receiver's display:

    NON-VOLATILE RAM DATA CORRUPTED: U4

    You should press the CLEAR key at this point.  Then you will see
    this message, accompanied by repeated beeps:

    ERASING NV MEMORY - DATA CORRUPTED

    After about three seconds, the normal 4000ST power-up display sequence
    will be seen.

    These messages are normal, and are due to the firmware detecting a
    change in NAV Version number.  These messages are only seen when
    the NAV Version number changes.


The remaining material is here if needed.  It covers all of the aspects
of using TFUPDATE, and should be read before calling Trimble for
questions or assistance.


IF YOU HAVE QUESTIONS ABOUT TFUPDATE

Call Trimble Navigation at:

              800-SOS-4-TAC (Service Technical Assist Center)

              408-481-6940  Outside USA

              408-737-6020  Fax.

TFUPDATE has been in use on the Trimble production line for
a year, and has had a lot of use.  The first Trimble customer to use
TFUPDATE on a special basis said "it was finished in 20 minutes."  We
hope your experience is as favorable.



PRODUCT INSTALLATION

Here is the recommended installation procedure for computers with a hard disk
drive:

Create a new directory on your hard drive, using a name of your choice
and change to that directory.  Copy all the files from the release disk
to that directory with 'copy a:*.*'.

Always operate the utility from this directory.  Even if your chosen directory
happens to be in your computer's PATH statement, you must still operate the
utility from the directory it was installed in.

After you are through updating all your 4000STs, copy/archive the TNLOLD
files if they exist, to a floppy.  Then the TFUPDATE files can be
deleted from your hard disk.  Remember, you still have the TFUPDATE files
on the release disk.

If your computer does not have a hard disk, then the information under
the heading USING TFUPDATE ON VARIOUS COMPUTER CONFIGURATIONS will guide
you.



THE FOUR MAIN MENU ITEMS - TFUPDATE'S FOUR BASIC FUNCTIONS

There are four basic functions, all shown on the main menu.  They are:
    1.	Retrieve old (current) firmware image and save in disk files.
    2.	Reprogram the 4000ST with the new Firmware.
    3.  Show a summary menu of what activities have taken place thus far.
    4.	Reset the Utility and pause for user to connect another 4000ST.


Here are comments regarding the first operation:
  Retrieve old (current) firmware image

  Before calling the TFUPDATE program, set your 4000ST SERIAL PORT
  PARAMETERS to a FORMAT of 8-ODD--1.  Later in this manual, you will
  learn that TFUPDATE has the ability to override the baud rate set in the
  4000ST.  However, if you want, you may set the BAUD RATE to 38400,
  19200, 9600, 4800, 2400, or 1200.  Note that the higher the baud rate,
  the faster the firmware update process will be.  If your computer is
  fairly new, 38400 is recommended.

  You may wish to use this operation to retrieve and save the Old
  Firmware from the first of your 4000ST's that is to be updated. After
  the Old Firmware has been saved once, it is not necessary to save it
  again for the rest of your 4000ST's, unless they happen to have
  different Firmware revision numbers.

  The menu for the 'Retrieve old (current) firmware image and save in
  disk files' operation has a highlighted area containing a suggested
  file name prefix, which is TNLOLD.  If you want to change this name,
  you may do so, but there is no real need unless it conflicts with a
  file name prefix you already have in use.  The 'Ins' and 'Del' keys
  may be used.  A drive and a path may also be added (inserted) before
  the file name.

  There are 3 Old Firmware files produced in the retrieve and save
  operation.  They have sizes of 150960, 151552, and 151552 bytes, for a
  total disk space requirement of 454064 bytes. The Utility can fit all
  3 of the old firmware files on a hard disk with at least 454064 bytes
  free, plus the bytes required for a directory entry.

  Using a Compaq Deskpro 386/33 and 34800 baud, the retrieve time is 4
  min, 1 sec.

  If you have a hard drive, it is recommended you save the retrieved Old
  Firmware files on that drive, and copy them off to a floppy later.  In
  this case, if you do not alter the highlighted area containing the
  TNLOLD file name prefix, the default drive/directory will be used.
  This is the directory you are operating the TFUPDATE Utility from.

  If you do not have a hard drive, refer to ths section below entitled
  'USING TFUPDATE ON VARIOUS COMPUTER CONFIGURATIONS'.  This will help
  you determine whether your computer configuration will support the
  save and retrieve operation.

  This menu offers you a chance to return to the 'main' menu.


Here are comments regarding the second operation:
  Reprogram the 4000ST with the new Firmware

  Before calling the TFUPDATE program, set your 4000ST SERIAL PORT
  PARAMETERS to a FORMAT of 8-ODD--1.  Later in this manual, you will
  learn that TFUPDATE has the ability to override the baud rate set in the
  4000ST.  However, if you want, you may set the BAUD RATE to 38400,
  19200, 9600, 4800, 2400, or 1200.  Note that the higher the baud rate,
  the faster the firmware update process will be.  If your computer is
  fairly new, 38400 is recommended.

  The New Firmware is furnished in 3 of the files found on the update
  disk. This file information is read into your computer's memory by
  this utility and then sent to the 4000ST to become the new and updated
  4000ST Firmware.  The amount of time taken to perform the Firmware
  update depends on the baud rate used and on the speed of your
  computer. Progress information is provided during the update process,
  so that you will have an indication that activity is taking place, and
  the percent of progress.   Using a Compaq Deskpro 386/33 and 34800 baud,
  the update time is 10 min, 20 sec.

  The menu for the 'Reprogram the 4000ST with the new Firmware'
  operation has a highlighted area containing the correct file name
  prefix, which is TNLST430.  The file name prefix can be changed by
  adding a drive and/or a path, if needed.  However, there is no need to
  change the file name prefix, since it already contains the correct
  name.  The 'Ins' and 'Del' keys may be used.  The main reason for
  editing the file name prefix would be to use the name TNLOLD, for
  instance, to reinstall older firmware.

  At the conclusion of your 4000ST firmware update, when you restart your
  4000ST, the following message appears on the receiver's display:

    NON-VOLATILE RAM DATA CORRUPTED: U4

    You should press the CLEAR key at this point.  Then you will see
    this message, accompanied by repeated beeps:

    ERASING NV MEMORY - DATA CORRUPTED

    After about three seconds, the normal 4000ST power-up display sequence
    will be seen.

    These messages are normal, and are due to the firmware detecting a
    change in NAV Version number.  These messages are only seen when
    the NAV Version number changes.


  This menu offers you a chance to return to the 'main' menu.


Here are comments regarding the third operation:
  Show a summary menu of activities

  A NEW FIRMWARE INSTALLATION SUMMARY display is available by choosing
  this menu item.  Information provided on the summary is kept up to
  date as you perform either a retrieval and save, or new Firmware
  programming.  This summary menu may be called after any of the other
  three basic functions to provide you with an up to date status of what
  has been done thus far in terms of updating your 4000ST.

  One of the features of the summary menu is the ability to use the F2
  key to cause a file named -sn-.upd to be written to the current
  directory. This file contains the same information as that displayed
  on the screen, and may be printed for hard copy record purposes.  The
  -sn- character string means the serial number of your 4000ST is used
  as the prefix name of the file.  For example, if the serial number is
  839, the complete file name will be 00000839.upd.

  This menu offers you a chance to return to the 'main' menu.


Here are comments regarding the fourth operation:
  Reset the Utility and pause

  This selection may be used after your 4000ST has received its Firmware
  Update.  It will cause this Utility to reset and be ready to update another
  4000ST.  If this selection is made, there will be a menu instructing
  you to change the RS232/Power cable to the next unit.

  Before resuming the TFUPDATE program, set your 4000ST SERIAL PORT
  PARAMETERS to a FORMAT of 8-ODD--1.  Later in this manual, you will
  learn that TFUPDATE has the ability to override the baud rate set in the
  4000ST.  However, if you want, you may set the BAUD RATE to 38400,
  19200, 9600, 4800, 2400, or 1200.  Note that the higher the baud rate,
  the faster the firmware update process will be.  If your computer is
  fairly new, 38400 is recommended.

  This menu offers you a chance to return to the 'main' menu.


THE RELEASE SOFTWARE SET AND FIRMWARE UPDATE FILES

Each TFUPDATE release envelope contains:

        one 1.2 MB 5.25" floppy disk   - The entire release set
   or
        one 720 KB 3.5" floppy disk           "        "
   or
        two 630 KB 5.25" floppy disk          "        "

        as required.

The contents of the disks sets are identical.  You may use whichever is
convenient.   Both disks contain the Firmware Update Utility and the
supporting files as well as the Update Firmware files.

This is a list of the Firmware Update Utility and supporting files:

    TFUPDATE MAN     the writeup you are currently reading
    FLASHME  BAT     small batch file to call TFUPDATE.BAT with 38400 baud, no color
    FLSHSLOW BAT     small batch file to call TFUPDATE.BAT with 19200 baud, no color
    ST4000U  FIN     small ascii control info file, not user editable
    TFUPDATE BAT     the batch file that controls the firmware update process
    TFUPDEMO BAT     an alternate demonstration version of TFUPDATE.BAT
    TFUPD    EXE     the executable program
    TFUPD    FRM     the file containing menus for the utility
    TFUPD    MSG     the file containing help and error messages
    SPDRIVE  COM     the serial port driver
    README   DOC     brief get-started information

This is a list of the Update Firmware files:

    TNLST430 FW1     the first of three firmware images
    TNLST430 FW2     the second of three firmware images
    TNLST430 FW3     the third of three firmware images

    The '430' part of the firmware image file names will match the NAV
    version number of the new firmware.


USING TFUPDATE ON VARIOUS COMPUTER CONFIGURATIONS


     HARD DRIVE  and 1 floppy.  Floppy must be 5.25" HD or either capacity 3.5"

         Copy distribution disk to a directory on hard drive.
         If you save old f/w, send it to hard drive, then copy to floppy later.


     NO HARD DRIVE and 1 FLOPPY DISK
         5 1/4" 360 KB drive  --  TFUPDATE CANNOT BE USED WITH THIS CONFIG.
         If you cannot obtain another computer, call Trimble using the
         name and number described in the above section entitled 'IF YOU
         HAVE QUESTIONS ABOUT TFUPDATE'.

         5 1/4" 1.2 MB drive
         Release disk in drive A: - you can retrieve and save on release disk
             as well as program new firmware into 4000ST from release disk.

         3.5" 720 KB drive
         Release disk in drive A: - you cannot retrieve and save on release disk,
             but can program new firmware into 4000ST from release disk.
             The distribution floppy is a 3.5" 720 KB disk, with not
             enough room to accept the old 'retrieve and save' files.  TFUPDATE
             was not programmed to allow switching disks between the release
             disk and a floppy to receive the TNLOLD files.

         3.5" 1.44MB drive
         Release disk in drive A: - you cannot retrieve and save on release disk,
             but can program new firmware into 4000ST from release disk.  The
             distribution floppy is a 3.5" 720 KB disk, with not enough room
             to accept the old 'retrieve and save' files.


     NO HARD DRIVE and 2 FLOPPY DISKS
         Both disks are 5 1/4" 360 KB
         TFUPDATE CANNOT BE USED WITH THIS CONFIG.
         If you cannot obtain another computer, call Trimble using the
         name and number described in the above section entitled 'IF YOU
         HAVE QUESTIONS ABOUT TFUPDATE'.


     NO HARD DRIVE and 2 FLOPPY DISKS
         One disk is 5 1/4" 360 KB - THIS DRIVE CANNOT BE USED WITH TFUPDATE.
         And the other drive is 5 1/4" 1.2 MB or 3.5" floppy either density


         Use the 'other' drive as follows:
         Release disk in a 5 1/4" drive: - you can retrieve and save on release disk
             as well as program new firmware into 4000ST from release disk.

         Release disk in a 3.5" drive: - you cannot retrieve and save on release disk,
             but can program new firmware into 4000ST from release disk.  The
             distribution floppy is a 3.5" 720 KB disk, with not enough room
             to accept the old 'retrieve and save' files.


     NO HARD DRIVE and 2 FLOPPY DISKS
         Both are 5 1/4" 1.2 MB

         Release disk in a 5 1/4" drive: - you can retrieve and save on release disk
             as well as program new firmware into 4000ST from release disk.

         Second drive not needed by TFUPDATE.


     NO HARD DRIVE and 2 FLOPPY DISKS
         Both are either density 3.5" floppy

         Release disk in one 3.5" drive:
             The distribution floppy is a 3.5" 720 KB disk, with not
             enough room to accept the old 'retrieve and save' files.
             However, the old 'retrieve and save' files can be directed
             to the other drive.

             Clean, formatted floppy in other drive if you save old f/w.



TRIMVEC SOFTWARE SUITE IS RECOMMENDED TO BE PRESENT ON YOUR HARD DISK

It is recommended that your computer has had the TRIMVEC software suite
installed using Trimble's INSTALL procedure.  The TRIMVEC suite
contains SPDRIVE.  If you have previously installed TRIMVEC using
Trimble's INSTALL procedure, the PATH statement allows access to
SPDRIVE.  Further, an environment variable named SPNUM will be set
properly.

TFUPDATE needs the Serial Port Driver, SPDRIVE, to be installed on a COM port.
It also needs the enviromment variable SPNUM to be set properly.

If the Trimvec Software Suite is not installed, or SPDRIVE is not
available on your computer, a copy has been included in the release
software set, and will be used in this case.  If the TRIMVEC Suite is
not installed, TFUPDATE will still function properly, but there is one
situation where SPDRIVE will be installed on the wrong serial port.  If
your computer has two serial ports and the 4000ST is connected to the
second port, and further, if TRIMVEC is not installed, and therefore the
environment variable SPNUM is not set, SPDRIVE will get installed on
serial port one. If this happens, reboot your computer, change to the
directory or drive containing TFUPDATE, and before calling TFUPDATE, (or
FLASHME or FLSHSLOW), type SPDRIVE /2 at the DOS prompt.  The /2 calls
for SPDRIVE to be installed on port two.  Then call TFUPDATE (or FLASHME
or FLSHSLOW).

See the note immediately below regarding setting SERIAL PORT PARAMETERS.


CALL PARAMETERS

Before calling the TFUPDATE program, set your 4000ST SERIAL PORT
PARAMETERS to a FORMAT of 8-ODD--1.  In this section of the manual, you
will learn that TFUPDATE has the ability to override the baud rate set
in the 4000ST.  However, if you want, you may set the BAUD RATE to
38400, 19200, 9600, 4800, 2400, or 1200.  Note that the higher the baud
rate, the faster the firmware update process will be.  If your computer
is fairly new, 38400 is recommended.

Here are the call parameters for this Utility:

/c  --  Specifies color display.  Without /c, the display is black/white.

/b baudrate  --  Specifies the baudrate to use.  This does not have to be
        the baudrate your Trimble 4000ST Surveyor is set to.  It is the
        baudrate you wish to use while this utility is active.
        Allowble baudrates for this Utility are:
        38400, 19200, 9600, 4800, 2400, and 1200.

	Baud rate may be defaulted.  If '/b baudrate' is omitted from the 
	Utility call, the Update Utility has the capability to find the
	4000ST's baud rate.  It will then operate at that baud rate.

Example call:  tfupdate /c /b 38400  (color, baudrate 38400)  (recommended baud rate)
Example call:  tfupdate /b 38400  (no color, baudrate 38400)  (recommended baud rate)
Example call:  tfupdate /b  9600  (no color, baudrate  9600)
Example call:  tfupdate  (no color, baudrate will be whatever the 4000ST
               is set to.  If your 4000ST is set to a low baud rate, the
               TFUPDATE process could take quite a while.  It is better
               to specify as high a baud rate as your computer can handle.
               The 4000ST can perform the firmware update process at
               38400 baud.)

Note:
    To simplify the calling of TFUPDATE, the second example above will be
    executed by typing FLASHME at the DOS prompt.
    Or, type FLSHSLOW at the DOS prompt to execute the third example.
    These two batch files are included in the TFUPDATE release for
    convenience.



DEMONSTRATION MODE

If you want to run the update utility in practice, or demonstration mode, prior
to actually updating your 4000ST firmware, call the Utility with

    TFUPDEMO /c      (the /c is optional and is discussed above)

for the demo/test drive mode.  This causes the Utility to simulate the firmware
update process, instead of actually doing an update.

In the demonstration mode, there is no RS232 communication with the
4000ST and the utility does not do disk i/o -- with the exception of one
small file taken from the release disks.  In fact, you do not need your
4000ST to be connected via RS232.  All you need is your computer and the
TFUPDATE release disks.  The only disk file that is read is the small
ascii control file, 'st4000u.fin'.

Demonstration mode was added to the program so customers can make a trial run
before proceeding with erasure and reprogramming.  This mode samples the system
clock and updates the display at a somewhat faster rate than when doing the
real update with a Compaq Deskpro 386/33 and using 38400 baud rate.  Again,
you need not have a 4000ST present to use the demo mode.



EXIT MESSAGES AND ERROR MENUS

There are two parts to this section.  The first part discusses EXIT
MESSAGES that show after the update utility terminates operation.  The
second part covers the error displays that may appear on your display
screen during utility execution.

Here are the EXIT MESSAGES:

If the user terminates the Utility, or operational problems require
termination, one of the following messages will appear before the DOS prompt
returns.  Some of them require explanation, others do not.  Square brackets are
used to delineate comments made in this document.  If they do not appear, such
as in CANNOT INITIATE RS232 COMMUNICATIONS, the comments appearing are part of
the termination message.

OPERATION TERMINATED WITH 'CONTROL-C' OR 'BREAK'
[The user terminated program execution.]

SERIAL PORT DRIVER 'SPDRIVE' HAS NOT BEEN INSTALLED.  CHECK 'PATH' 
STATEMENT OR PLACE A COPY OF SPDRIVE IN CURRENT DIRECTORY.
[There is a copy of SPDRIVE.COM on the release disk.  Simply change to
the directory containing TFUPDATE, and copy it to your current directory
with COPY A:\SPDRIVE.COM.  Then re-execute your call to TFUPDATE.]

ILLEGAL BAUD RATE IN PROGRAM CALL
[The user has called with a 'misspelled' baud rate, such as 19201
instead of 19200.]

CANNOT INITIATE RS232 COMMUNICATIONS
 Please check baud rate and connections and try again.
 The RS232 parameters should be 8-odd-1.  This means 8 data bits,
   odd parity, and 1 stop bit.
 Insure that the 4000ST baud rate is not set to any of the following:
  150, 300, 600.   Communication can only be established if the 4000ST
 baud rate is set at 1200 baud or higher.
 Another possible reason for this diagnostic is that the 4000ST front
 panel is displaying "ROMS U5 AND U10 MISSING OR ERASED - PUSH CLEAR KEY"
 or a similar message.  If this is the case, push the CLEAR key on the
 receiver front panel and call TFUPDATE again.
 Another possible reason for this diagnostic is that the serial port
 driver, SPDRIVE, is installed on the wrong serial port.  If your
 computer is configured with the 4000ST connected to serial port 2,
 then reboot your computer, and before calling TFUPDATE, type
 SPDRIVE /2 at the DOS prompt.  Then call TFUPDATE.   This procedure
 should be necessary only if you do not have TNL's TRIMVEC s/w installed
 on your computer.
 The  message "REMOTE MONITOR ACTIVE" will appear on the 4000ST
 front panel after TFUPDATE has established a proper RS232 connection.


SOMETHING IS WRONG WITH THE INPUT FILE(S) .FW1, .FW2, OR .FW3
CALL TRIMBLE NAVIGATION    [This is unlikely to happen.  It means that the
contents of the .FW1, .FW2, or the .FW3 file have been changed and the
file is not usable.]


CANNOT ESTABLISH RS232 COMMUNICATIONS AT USER SELECTED BAUD RATE
Check rate and connections and try again.
Insure that your 4000ST SERIAL PORT PARAMETERS are set to a FORMAT of
8-ODD--1.

[Insure that your 4000ST SERIAL PORT PARAMETERS are set to a FORMAT of
8-ODD--1.  Elswhere in this manual, you saw that TFUPDATE has the
ability to override the baud rate set in the 4000ST.  However, if you
want, you may set the BAUD RATE to 38400, 19200, 9600, 4800, 2400, or
1200.  Note that the higher the baud rate, the faster the firmware
update process will be.  If your computer is fairly new, 38400 is
recommended.

One reason this can appear if there are difficulties in establishing RS232
communications.  It can also appear if the user terminated the Utility
during image retrieval or image programming, and the Utility is
immediately recalled for use.  In this case, the information transmitted
by the Utility as it tries to begin communications is actually being
used to complete the last part of a data packet that was being
tramsmitted when communications were broken by the previous user
termination. Simply retry a time or two.  The broken data packet will
eventually be taken care of, and the Utility will then succeed in
establishing communications.]

RS232 COMMUNICATION FAILURE IMMEDIATELY AFTER ESTABLISHING RS232 CONTACT.
PLEASE RETRY.

THE ATTACHED 4000S RECEIVER IS NOT CONFIGURED FOR FIRMWARE UPDATE PERMISSION.
NEW FIRMWARE CAN ONLY BE INSTALLED AT THE FACTORY.
[This 'should not happen'.  Call Trimble Service to discuss the problem.]

MISSING FORMS OR ERROR/HELP FILES
If this message appears when the Utility is starting:
	[st_name.frm]:
This file is missing:  tfupd.frm

If this message appears when the Utility is starting:
	[st_name.msg]:
This file is missing:  tfupd.msg



Here are discussions of ERROR MENUS:

Many of the error menus contain sufficient information to explain whatever
problem the update utility is having.  What is provided here is a discussion
of the several areas where problems can occur, and what can be done about
them.  In the case of disk file problems, suggestions are made for recommended
procedure that will hopefully prevent problems.

DISK ERRORS:

Problems saving the old (current) firmware on a hard disk.  As the error
display says, check for path correctly spelled, room on the disk, etc.

Problems saving the old (current) firmware on a floppy disk.  The
Utility can fit all 3 of the old firmware files on a 720 KB 3.5"  or
higher capacity floppy.  It cannot get all the files on a 360 KB (5.25"
floppy).


Other disk type problems are in the area of reading the disk files
containing the firmware update information.  Insure the directory you
specified contains the update files.  They have the suffix .FW1, .FW2,
and .FW3.  If the files are present in the specified directory and
correctly named, there should be no problem.  To show progress, the
utility places dots on the screen one at a time as file reading
procedes. Each dot represents 32K bytes of information transferred.  As
many as five dots may appear before the file is completely read.



RS232 ERRORS:

Insure that your 4000ST SERIAL PORT PARAMETERS are set to a FORMAT of
8-ODD--1.  Elswhere in this manual, you saw that TFUPDATE has the
ability to override the baud rate set in the 4000ST.  However, if you
want, you may set the BAUD RATE to 38400, 19200, 9600, 4800, 2400, or
1200.  Note that the higher the baud rate, the faster the firmware
update process will be.  If your computer is fairly new, 38400 is
recommended.

The RS232 communication software in this utility is programmed to retry a
number of times before reporting trouble via a menu that overlays the current
menu.  If this happens, the nature of the trouble is shown on the overlay
and the choices available to the user are presented.

Things to try in case of RS232 problems include trying a lower baudrate and
insuring that RS232 connections are firm and correctly made.  As a cross check
on the correct operation of your RS232 connections and cable, try using the
4000 program to download survey session data at the same baud rate.

If you see an error menu, and direct the utility to proceed, and it is
able to resynchronize communication, then the reprogramming will be
successful.  In other words, if an error overlay menu is placed on the
screen, and recovery occurs, the utility will correctly reprogram the
4000ST.  There is no possibility, for instance, of skipping part of the
firmware memory area because of errors followed by recovery.


If recovery is not possible and problems persist, call Trimble Navigation.

